$(function () {

	/******************************************************************************/
	/* start: valida formulario
	/******************************************************************************/
	$.fn.form.settings.rules.recaptchaValidate = function() {
      return (recaptchaVerified);
    };
    $('#frmNuevo').form({
        keyboardShortcuts: false,
    	fields: {
		    ruc: {
		        rules: [
		        	{ type : 'empty', prompt : 'Complete este campo'},
		        	{ type : 'integer', prompt : 'Ingrese solo números'},
                    { type : 'exactLength[11]', prompt : 'El RUC debe tener {ruleValue} digitos'}
		        ]
		    },
            fecha1: {
                rules: [
                    { type : 'empty', prompt : 'Seleccione una opcion'},
                    
                ]
            },
            fecha2: {
                rules: [
                    { type : 'empty', prompt : 'Complete este campo'},
                    { type : 'integer', prompt : 'Ingrese solo números'}
                ]
            },
    	},
    	inline : true,
	});

  	$('.btn_registrar').on('click', function() {
  		
  		if ($('#frmNuevo').form('is valid')) {
			sendForm(); 
		} else {
			$('#frmNuevo').form('validate form');
		}

  	});	

  	function sendForm() {

	    var data = $('#frmNuevo').serialize();
	    
        $.tzPOST('getEmpresa', data, function(resolve){
            
            
            if(resolve.error){
                swal({title: "Error Interno!", text: "Por favor verifique que todo este correcto e intente de nuevo", icon: "error", button: "OK"});
            }
            else{
                
                if (resolve.msg) {
                    swal({title: "No hay resultados", text: "para su busqueda", icon: "warning", button: "OK"});
                }
                
                else {
                    
                    if ($('[name="formato"]').val()  == 'EXCEL') {
					    var APP_URL = "http://"+resolve.dominio+"."+resolve.servidor+"/pdf/reporteSire_ventas_excel.php?"+data;
    				}
    				else {
    					var APP_URL = "http://"+resolve.dominio+"."+resolve.servidor+"/pdf/reporteSire_ventas_txt.php?"+data;
    				}
              
                    //swal({title: "¿Desea descargar", text: "el reporte SIRE?", icon: "success", button: "DESCARGAR"})
                    //.then(() => {var win = window.open(APP_URL, '_blank'); });
                    
                       swal({
                            title: "¿Desea descargar",
                            text: "el reporte SIRE?",
                            icon: "success",
                            button: "DESCARGAR"
                        }).then(function() {
                            window.location.href = APP_URL;
                        });
                
                }

            }
        });

        return false;
	};
});

/*********************************************************************************************************/
/* Otras funciones
/*********************************************************************************************************/

$.tzPOST = function(action,data,callback){
  $.post('ajax.php?action='+action,data,callback,'json');
}

/** @function
 * @name upperCase
 * @description Devuelve un input en mayusculas y mantiene el focus en la posicion indicada
 * @param {string} El value del input
 * @return {void} void
 */

 $.upperCase = function (e) {
    var start = e.selectionStart;
    var end = e.selectionEnd;
    e.value = e.value.toUpperCase();
    e.setSelectionRange(start, end);
 }
